Skip to main content
GET
/
proxy
/
account-abstraction
/
accounts
/
{address_hash_param}
Get an account abstraction wallet by address hash
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/proxy/account-abstraction/accounts/{address_hash_param}?apikey='
{
  "address": {
    "ens_domain_name": "<string>",
    "hash": "<string>",
    "implementations": [
      {
        "address_hash": "<string>",
        "name": "<string>"
      }
    ],
    "is_contract": true,
    "is_scam": true,
    "is_verified": true,
    "metadata": {
      "tags": [
        {
          "meta": {},
          "name": "<string>",
          "ordinal": 123,
          "slug": "<string>",
          "tagType": "<string>"
        }
      ]
    },
    "name": "<string>",
    "proxy_type": "eip1167",
    "reputation": "ok",
    "private_tags": [
      {
        "address_hash": "<string>",
        "display_name": "<string>",
        "label": "<string>"
      }
    ],
    "public_tags": [
      {
        "address_hash": "<string>",
        "display_name": "<string>",
        "label": "<string>"
      }
    ],
    "watchlist_names": [
      {
        "display_name": "<string>",
        "label": "<string>"
      }
    ]
  },
  "creation_op_hash": "<string>",
  "creation_timestamp": "2023-11-07T05:31:56Z",
  "creation_transaction_hash": "<string>",
  "factory": {
    "ens_domain_name": "<string>",
    "hash": "<string>",
    "implementations": [
      {
        "address_hash": "<string>",
        "name": "<string>"
      }
    ],
    "is_contract": true,
    "is_scam": true,
    "is_verified": true,
    "metadata": {
      "tags": [
        {
          "meta": {},
          "name": "<string>",
          "ordinal": 123,
          "slug": "<string>",
          "tagType": "<string>"
        }
      ]
    },
    "name": "<string>",
    "proxy_type": "eip1167",
    "reputation": "ok",
    "private_tags": [
      {
        "address_hash": "<string>",
        "display_name": "<string>",
        "label": "<string>"
      }
    ],
    "public_tags": [
      {
        "address_hash": "<string>",
        "display_name": "<string>",
        "label": "<string>"
      }
    ],
    "watchlist_names": [
      {
        "display_name": "<string>",
        "label": "<string>"
      }
    ]
  },
  "total_ops": 1
}

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Path Parameters

address_hash_param
string
required

Address hash in the path

Pattern: ^0x([A-Fa-f0-9]{40})$

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

Response

Account

Account struct.

address
Address · object
required

Address

creation_op_hash
string | null
required
Pattern: ^0x([A-Fa-f0-9]{64})$
creation_timestamp
string<date-time> | null
required
creation_transaction_hash
string | null
required
Pattern: ^0x([A-Fa-f0-9]{64})$
factory
AddressNullable · object
required

AddressNullable

total_ops
integer
required
Required range: x >= 0